<?php

# 后台钩子

/*
 *
 *  public static function test($that){
 *      # $that = (base)$this;
 *      print_r($that->admin);
 *  }
 *  service::add_action('action_name', 'hooks::test');
 */

class hooks{

    # 更改登录跳转
    public static function login(){
        return 'http://'.$_SERVER['HTTP_HOST'].'/shop/index.php?c=frame&';
    }
}

service::add_action('login_jump_url', 'hooks::login');